Package com.databricks.jdbc.api.impl.volume

## Class VolumeInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.databricks.jdbc.api.impl.volume.VolumeInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class VolumeInputStream
    extends InputStream

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Constructor Summary

Constructors
`VolumeInputStream​(org.apache.http.HttpEntity httpEntity, IExecutionResult resultHandler, IDatabricksStatement statement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`void` `mark​(int readLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read​(byte[] bytes)`
`int` `read​(byte[] bytes, int off, int len)`
`void` `reset()`
`long` `skip​(long n)`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### VolumeInputStream

    public VolumeInputStream​(org.apache.http.HttpEntity httpEntity,
                             IExecutionResult resultHandler,
                             IDatabricksStatement statement)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### mark

    public void mark​(int readLimit)

Overrides:
  `mark` in class `InputStream`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read​(byte[] bytes)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read​(byte[] bytes,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

#### skip

    public long skip​(long n)
              throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`